From c4a6afe0239bda690d8bcbc33320adb47ab90d21 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Thu, 1 Feb 2018 20:52:33 +0100
Subject: [PATCH 2/5] Avoid redirect on opensource.org links

http://www.opensource.org/licenses/postgresql redirects with a
301 to its https counterpart, update the link to save a redirect
for our users.

This link is present in all the presskits as well, but the amount
of clicks there should be low enough to not bother.
---
 templates/pages/about.html         | 2 +-
 templates/pages/about/licence.html | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/templates/pages/about.html b/templates/pages/about.html
index 5af7222..adc7f66 100644
--- a/templates/pages/about.html
+++ b/templates/pages/about.html
@@ -94,7 +94,7 @@ compiled and interpreted to interface with PostgreSQL. There are interfaces for
 Java (JDBC), ODBC, Perl, Python, Ruby, C, C++, PHP, Lisp, Scheme, and Qt just to
 name a few.
 </p><p>Best of all, PostgreSQL's source code is available under a liberal
-open source license: the <a href="http://www.opensource.org/licenses/postgresql">PostgreSQL License</a>.
+open source license: the <a href="https://www.opensource.org/licenses/postgresql">PostgreSQL License</a>.
 This license gives you the freedom to use,
 modify and distribute PostgreSQL in any form you like, open or closed
 source. Any modifications, enhancements, or changes you make are yours to do
diff --git a/templates/pages/about/licence.html b/templates/pages/about/licence.html
index f741d13..c55d1db 100644
--- a/templates/pages/about/licence.html
+++ b/templates/pages/about/licence.html
@@ -2,7 +2,7 @@
 {%block title%}License{%endblock%}
 {%block contents%}
 <h1>License</h1>
-<p>PostgreSQL is released under the <a href="http://www.opensource.org/licenses/postgresql">PostgreSQL License</a>,
+<p>PostgreSQL is released under the <a href="https://www.opensource.org/licenses/postgresql">PostgreSQL License</a>,
 a liberal Open Source license, similar to the BSD or MIT licenses.</p>
 
 <p>PostgreSQL Database Management System<br />
-- 
2.14.1.145.gb3622a4ee

